Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wps.execute
Class OutputDefinitions

    java.lang.Object
      org.deegree.ogcwebservices.wps.execute.OutputDefinitions

    public class OutputDefinitions

extends Object

OutputDefinitionsType.java Created on 09.03.2006. 22:34:58h List of definitions of the outputs (or parameters) requested from the process. These outputs are not normally identified, unless the client is specifically requesting a limited subset of outputs, and/or is requesting output formats and/or schemas and/or encodings different from the defaults and selected from the alternatives identified in the process description, or wishes to customize the descriptive information about the output.

Since:
  2.0
Version:
  1.0.
Author:
  Christian Kiehle, Christian Heier

Constructor Summary
`OutputDefinitions()`

Method Summary
`List<OutputDefinition>` | `getOutputDefinitions()`
`void` | `setOutputDefinitions(List<OutputDefinition> outputDefinitions)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OutputDefinitions

    public OutputDefinitions()

Method Detail

### getOutputDefinitions

    public List<OutputDefinition> getOutputDefinitions()

  Returns:
    Returns the outputs.

### setOutputDefinitions

    public void setOutputDefinitions(List<OutputDefinition> outputDefinitions)

  Parameters:
    `outputDefinitions` - to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org